Name:           wbxml2
Version:        0.9.2
Release:        16%{?dist}
Summary:        Library and tools to parse, encode and handle WBXML documents

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://libwbxml.aymerick.com:8080/
Source0:        http://dl.sourceforge.net/wbxmllib/%{name}-%{version}.tar.gz

Patch0:         wbxml2-0.9.2-no-doc.patch
Patch1:         wbxml2-0.9.2-cflags.patch
Patch2:         wbxml2-0.9.2-autoreconf.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  expat-devel zlib-devel popt

%description
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce
bandwidth in mobile communications.

%package devel
Group:         Development/Libraries
Summary:       Development files of %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      expat-devel zlib-devel popt libxml2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

chmod a+x configure

# Recode to UTF-8 several doc files
for file in ChangeLog README NEWS References; do
  /usr/bin/iconv -f iso8859-1 -t utf-8 $file > ${file}.conv \
     && /bin/mv ${file}.conv $file
done

# no line terminator, add one
echo >> THANKS
echo >> BUGS

%build
%configure --disable-rpath --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's,Version: 0.9.0,Version: 0.9.2,' \
   $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libwbxml2.pc

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING GNU-LGPL NEWS README References THANKS TODO
%{_bindir}/wbxml2xml
%{_bindir}/xml2wbxml
%{_libdir}/libwbxml2.so.0*
%exclude %{_libdir}/libwbxml2.la

%files devel
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING GNU-LGPL NEWS README References THANKS TODO
%{_includedir}/wbxml*.h
%{_libdir}/libwbxml2.so
%{_libdir}/pkgconfig/libwbxml2.pc

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.2-14
- drop synce patches (not needed anymore, fixes #445130)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-13
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.2-12
- pkgconfig also needs libxml2-devel

* Sat Jan 12 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.2-11
- fix devel requires

* Mon Jan 07 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.2-10
- add synce patches

* Sun Aug 26 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.9.2-9
- Change the License: tag.

* Fri Dec  1 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-8
- Stupidity. Fix the use of iconv. Bug #217848 again.
- Add an end-of-line to BUGS as well.

* Thu Nov 30 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-6
- Use iconv instead of recode. Bug #217848.

* Mon Nov 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-5
- Changed the Summarys and descriptions.

* Mon Nov 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-4
- Added BR: popt zlib-devel
- Improved changelog.

* Fri Nov 24 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-3
- Recode some %%doc files.

* Fri Nov 24 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.9.2-1
- New upstream release 0.9.2.
- Unorphaned for FE-6 and rawhide. New maintainer. Review request #217180
- New spec file.
- Header are know in %%{_includedir} instead of %%{_includedir}/wbxml2
- New licence.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.9.0-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jun 30 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.9.0-0.fdr.2
- Set group, own include dir, fix devel description,
  make %%doc files chmod -x.

* Wed Jun 30 2004 Panu Matilainen <pmatilai@welho.com> 0:0.9.0-0.fdr.1
- Initial RPM release.
